## $Id: tests.py 14594 2017-02-27 06:50:46Z henrik $
##
## Copyright (C) 2011 Uli Fouquet & Henrik Bettermann
## This program is free software; you can redistribute it and/or modify
## it under the terms of the GNU General Public License as published by
## the Free Software Foundation; either version 2 of the License, or
## (at your option) any later version.
##
## This program is distributed in the hope that it will be useful,
## but WITHOUT ANY WARRANTY; without even the implied warranty of
## MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
## GNU General Public License for more details.
##
## You should have received a copy of the GNU General Public License
## along with this program; if not, write to the Free Software
## Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
##
from waeup.kofa.testing import FunctionalTestCase
from waeup.aaue.testing import FunctionalLayer
from waeup.aaue.utils.utils import CustomKofaUtils


class CustomPackageUtilsTests(FunctionalTestCase):

    layer = FunctionalLayer

    def test_fullname(self):
        util = CustomKofaUtils()
        firstname = 'John'
        middlename = 'Z'
        lastname = 'Streep'
        self.assertEqual(
            util.fullname(firstname, lastname, middlename), 'STREEP, John')
        firstname = 'J'
        self.assertEqual(
            util.fullname(firstname, lastname, middlename), 'STREEP')
        lastname = None
        self.assertEqual(
            util.fullname(firstname, lastname, middlename), '')
        firstname = 'John'
        self.assertEqual(
            util.fullname(firstname, lastname, middlename), 'John')
        firstname = 'J'
        middlename = 'Babatunde'
        lastname = 'Iron'
        self.assertEqual(
            util.fullname(firstname, lastname, middlename), 'IRON, Babatunde')
